aboutsummaryrefslogtreecommitdiff
path: root/package/netplug/S29netplug
diff options
context:
space:
mode:
authorGravatar "Steven J. Hill" <sjhill@realitydiluted.com>2007-05-09 22:48:41 +0000
committerGravatar "Steven J. Hill" <sjhill@realitydiluted.com>2007-05-09 22:48:41 +0000
commit6b00c90d709a01822027fb9986ec8ace605dd991 (patch)
tree247dda891d7c16580a7d274411581c519d01c2db /package/netplug/S29netplug
parent448153a06a443ad61f3df88408edf3a7da98ea0c (diff)
downloadbuildroot-6b00c90d709a01822027fb9986ec8ace605dd991.tar.gz
buildroot-6b00c90d709a01822027fb9986ec8ace605dd991.tar.bz2
Rename all INIT scripts to have the numerical prefixes to easily see the start-up order.
Diffstat (limited to 'package/netplug/S29netplug')
-rwxr-xr-xpackage/netplug/S29netplug69
1 files changed, 69 insertions, 0 deletions
diff --git a/package/netplug/S29netplug b/package/netplug/S29netplug
new file mode 100755
index 0000000000..791e14b889
--- /dev/null
+++ b/package/netplug/S29netplug
@@ -0,0 +1,69 @@
+#!/bin/sh
+#
+# netplugd This shell script takes care of starting and stopping
+# the network plug management daemon.
+#
+# chkconfig: - 11 89
+# description: netplugd is a daemon for managing non-static network \
+# interfaces.
+# processname: netplugd
+# pidfile: /var/run/netplugd.pid
+
+# Copyright 2003 Key Research, Inc.
+
+# Source function library.
+if [ -f /etc/init.d/functions ]; then
+ . /etc/init.d/functions
+elif [ -f /etc/rc.d/init.d/functions ]; then
+ . /etc/rc.d/init.d/functions
+fi
+
+# Source networking configuration.
+if [ -f /etc/sysconfig/network ]; then
+ . /etc/sysconfig/network
+
+ # Check that networking is up.
+ [ ${NETWORKING} = "no" ] && exit 0
+elif [ ! -f /etc/network/interfaces ]; then
+ # No network support
+ exit 0
+fi
+
+[ -x /sbin/netplugd ] || exit 0
+
+if [ -f /etc/sysconfig/netplugd ]; then
+ . /etc/sysconfig/netplugd
+fi
+
+# See how we were called.
+case "$1" in
+ start)
+ # Start daemon.
+ echo -n $"Starting network plug daemon: "
+ start-stop-daemon --start --quiet --pidfile /var/run/netplugd.pid --exec /sbin/netplugd ${NETPLUGDARGS}
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/netplugd
+ ;;
+ stop)
+ # Stop daemon.
+ echo -n $"Shutting down network plug daemon: "
+ start-stop-daemon --stop --name netplugd
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/netplugd
+ ;;
+ restart|reload)
+ $0 stop
+ $0 start
+ ;;
+ condrestart)
+ [ -f /var/lock/subsys/netplugd ] && $0 restart || :
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ RETVAL=1
+ ;;
+esac
+
+exit $RETVAL